MediaWiki:Geshi.css

提供: wiki
2011年3月12日 (土) 07:17時点におけるwiki>Mindronesによる版 (new version of css for newer syntax highlighter, main changes are .source-python ---> .python.source-python and dotted border)
(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)
移動先: 案内検索

注意: 保存後、変更を確認するにはブラウザーのキャッシュを消去する必要がある場合があります。

  • Firefox / Safari: Shift を押しながら 再読み込み をクリックするか、Ctrl-F5 または Ctrl-R を押してください (Mac では ⌘-R)
  • Google Chrome: Ctrl-Shift-R を押してください (Mac では ⌘-Shift-R)
  • Internet Explorer: Ctrl を押しながら 最新の情報に更新 をクリックするか、Ctrl-F5 を押してください
  • Opera: メニュー → 設定 (Mac では Opera → 環境設定) に移動し、プライバシーとセキュリティ → 閲覧データを消去 → キャッシュされた画像およびファイル からキャッシュをクリアしてください。
/* 
<pre> */ 

div.mw-geshi {
  padding: 1em; 
  margin: 1em 0; 
  border: 1px dashed #555555;
  background-color: #000000;
}


/* CSS placed here will be applied to GeSHi syntax highlighting */

/* -------------------------- lang="python" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */
.python.source-python {line-height: normal; font-family: monospace;}
.python.source-python li, .python.source-python pre {line-height: normal; border: 0px none white; background-color: #000000;}
.python.source-python .de1, .python.source-python .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.python.source-python .imp {font-weight: bold; color: #00FFFF;}
.python.source-python li, .python.source-python li.li1 {font-weight: normal;}
.python.source-python li.li2 {font-weight: bold;}
.python.source-python .kw1 {color: #0088FF;font-weight:bold;}
.python.source-python .kw2 {color: #FF7FFF;}
.python.source-python .kw3 {color: #23EBC3;}
.python.source-python .kw4 {color: #FFFF32;}
.python.source-python .co1 {color: #7F7F7F; font-style: italic;}
.python.source-python .coMULTI {color: #7F7F7F; font-style: italic;}
.python.source-python .es0 {color: #FFFF66; font-weight: bold;}
.python.source-python .br0 {color: #FFFFFF;}
.python.source-python .sy0 {color: #993399;}
.python.source-python .st0 {color: #B7C274;}
.python.source-python .nu0 {color: #00BAFF;}
.python.source-python .me1 {color: #FFFFFF;}
.python.source-python .ln-xtra, .python.source-python li.ln-xtra, .python.source-python div.ln-xtra {background-color: #000033;}
.python.source-python span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)
.python.source-python {line-height: normal;}
.python.source-python li, .python.source-python pre {line-height: normal; border: 0px none white;}
.python.source-python .de1, .python.source-python .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.python.source-python .imp {font-weight: bold; color: red;}
.python.source-python li, .python.source-python li.li1 {font-weight: normal;}
.python.source-python li.li2 {font-weight: bold;}
.python.source-python .kw1 {color: #ff7700;font-weight:bold;}
.python.source-python .kw2 {color: #008000;}
.python.source-python .kw3 {color: #dc143c;}
.python.source-python .kw4 {color: #0000cd;}
.python.source-python .co1 {color: #808080; font-style: italic;}
.python.source-python .coMULTI {color: #808080; font-style: italic;}
.python.source-python .es0 {color: #000099; font-weight: bold;}
.python.source-python .br0 {color: black;}
.python.source-python .sy0 {color: #66cc66;}
.python.source-python .st0 {color: #483d8b;}
.python.source-python .nu0 {color: #ff4500;}
.python.source-python .me1 {color: black;}
.python.source-python .ln-xtra, .python.source-python li.ln-xtra, .python.source-python div.ln-xtra {background-color: #ffc;}
.python.source-python span.xtra { display:block; } */


/* -------------------------- lang="c" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */
.c.source-c {line-height: normal; font-family: monospace;}
.c.source-c li, .c.source-c pre {line-height: normal; border: 0px none white; background-color: #000000}
.c.source-c .de1, .c.source-c .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.c.source-c .imp {font-weight: bold; color: #00FFFF;}
.c.source-c li, .c.source-c li.li1 {font-weight: normal;}
.c.source-c li.li2 {font-weight: bold;}
.c.source-c .kw1 {color: #4E4EFF;}
.c.source-c .kw2 {color: #FFFFFF; font-weight: bold;}
.c.source-c .kw3 {color: #FFFF99;}
.c.source-c .kw4 {color: #66CCCC;}
.c.source-c .co1 {color: #999999; font-style: italic;}
.c.source-c .co2 {color: #CC66CC;}
.c.source-c .coMULTI {color: #7F7F7F; font-style: italic;}
.c.source-c .es0 {color: #FFFF66; font-weight: bold;}
.c.source-c .br0 {color: #FF66FF;}
.c.source-c .sy0 {color: #CC66CC;}
.c.source-c .st0 {color: #00FFFF;}
.c.source-c .nu0 {color: #339933;}
.c.source-c .me1 {color: #DFDFDF;}
.c.source-c .me2 {color: #DFDFDF;}
.c.source-c .ln-xtra, .c.source-c li.ln-xtra, .c.source-c div.ln-xtra {background-color: #000033;}
.c.source-c span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)
.c.source-c {line-height: normal;}
.c.source-c li, .c.source-c pre {line-height: normal; border: 0px none white;}
.c.source-c .de1, .c.source-c .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.c.source-c .imp {font-weight: bold; color: red;}
.c.source-c li, .c.source-c li.li1 {font-weight: normal;}
.c.source-c li.li2 {font-weight: bold;}
.c.source-c .kw1 {color: #b1b100;}
.c.source-c .kw2 {color: #000000; font-weight: bold;}
.c.source-c .kw3 {color: #000066;}
.c.source-c .kw4 {color: #993333;}
.c.source-c .co1 {color: #666666; font-style: italic;}
.c.source-c .co2 {color: #339933;}
.c.source-c .coMULTI {color: #808080; font-style: italic;}
.c.source-c .es0 {color: #000099; font-weight: bold;}
.c.source-c .br0 {color: #009900;}
.c.source-c .sy0 {color: #339933;}
.c.source-c .st0 {color: #ff0000;}
.c.source-c .nu0 {color: #cc66cc;}
.c.source-c .me1 {color: #202020;}
.c.source-c .me2 {color: #202020;}
.c.source-c .ln-xtra, .c.source-c li.ln-xtra, .c.source-c div.ln-xtra {background-color: #ffc;}
.c.source-c span.xtra { display:block; } */


/* -------------------------- lang="cpp" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.cpp.source-cpp {line-height: normal; font-family: monospace;}
.cpp.source-cpp li, .cpp.source-cpp pre {line-height: normal; border: 0px none white; background-color: #000000;}
.cpp.source-cpp .de1, .cpp.source-cpp .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.cpp.source-cpp .imp {font-weight: bold; color: #00FFFF;}
.cpp.source-cpp li, .cpp.source-cpp li.li1 {font-weight: normal;}
.cpp.source-cpp li.li2 {font-weight: bold;}
.cpp.source-cpp .kw1 {color: #FFFF00;}
.cpp.source-cpp .kw2 {color: #FFFF00;}
.cpp.source-cpp .kw3 {color: #FFFF22;}
.cpp.source-cpp .kw4 {color: #FFFF00;}
.cpp.source-cpp .co1 {color: #999999;}
.cpp.source-cpp .co2 {color: #CC66FF;}
.cpp.source-cpp .coMULTI {color: #00FFFF; font-style: italic;}
.cpp.source-cpp .es0 {color: #999999; font-weight: bold;}
.cpp.source-cpp .br0 {color: #FF7FFF;}
.cpp.source-cpp .sy0 {color: #FF7FFF;}
.cpp.source-cpp .sy1 {color: #FFFF7F;}
.cpp.source-cpp .sy2 {color: #FFFFBF;}
.cpp.source-cpp .sy3 {color: #FFFFBF;}
.cpp.source-cpp .sy4 {color: #FF7F7F;}
.cpp.source-cpp .st0 {color: #00FFFF;}
.cpp.source-cpp .nu0 {color: #FFFF22;}
.cpp.source-cpp .me1 {color: #FF1100;}
.cpp.source-cpp .me2 {color: #FF1100;}
.cpp.source-cpp .ln-xtra, .cpp.source-cpp li.ln-xtra, .cpp.source-cpp div.ln-xtra {background-color: #000033;}
.cpp.source-cpp span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.cpp.source-cpp {line-height: normal;}
.cpp.source-cpp li, .cpp.source-cpp pre {line-height: normal; border: 0px none white;}
.cpp.source-cpp .de1, .cpp.source-cpp .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.cpp.source-cpp .imp {font-weight: bold; color: red;}
.cpp.source-cpp li, .cpp.source-cpp li.li1 {font-weight: normal;}
.cpp.source-cpp li.li2 {font-weight: bold;}
.cpp.source-cpp .kw1 {color: #0000ff;}
.cpp.source-cpp .kw2 {color: #0000ff;}
.cpp.source-cpp .kw3 {color: #0000dd;}
.cpp.source-cpp .kw4 {color: #0000ff;}
.cpp.source-cpp .co1 {color: #666666;}
.cpp.source-cpp .co2 {color: #339900;}
.cpp.source-cpp .coMULTI {color: #ff0000; font-style: italic;}
.cpp.source-cpp .es0 {color: #666666; font-weight: bold;}
.cpp.source-cpp .br0 {color: #008000;}
.cpp.source-cpp .sy0 {color: #008000;}
.cpp.source-cpp .sy1 {color: #000080;}
.cpp.source-cpp .sy2 {color: #000040;}
.cpp.source-cpp .sy3 {color: #000040;}
.cpp.source-cpp .sy4 {color: #008080;}
.cpp.source-cpp .st0 {color: #FF0000;}
.cpp.source-cpp .nu0 {color: #0000dd;}
.cpp.source-cpp .me1 {color: #00eeff;}
.cpp.source-cpp .me2 {color: #00eeff;}
.cpp.source-cpp .ln-xtra, .cpp.source-cpp li.ln-xtra, .cpp.source-cpp div.ln-xtra {background-color: #ffc;}
.cpp.source-cpp span.xtra { display:block; } */


/* -------------------------- lang="bash" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.bash.source-bash {line-height: normal; font-family: monospace;}
.bash.source-bash li, .bash.source-bash pre {line-height: normal; border: 0px none white; background-color: #000000;}
.bash.source-bash .de1, .bash.source-bash .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.bash.source-bash .imp {font-weight: bold; color: #00FFFF;}
.bash.source-bash li, .bash.source-bash li.li1 {font-weight: normal;}
.bash.source-bash li.li2 {font-weight: bold;}
.bash.source-bash .kw1 {color: #FFFFFF; font-weight: bold;}
.bash.source-bash .kw2 {color: #3DF346; font-weight: bold;}
.bash.source-bash .kw3 {color: #85F78B; font-weight: bold;}
.bash.source-bash .co0 {color: #999999; font-style: italic;}
.bash.source-bash .co1 {color: #7FFFFF;}
.bash.source-bash .co2 {color: #33FFFF; font-style: italic;}
.bash.source-bash .es0 {color: #FFFF66; font-weight: bold;}
.bash.source-bash .br0 {color: #85F78B; font-weight: bold;}
.bash.source-bash .sy0 {color: #FFFFFF; font-weight: bold;}
.bash.source-bash .st0 {color: #00FFFF;}
.bash.source-bash .nu0 {color: #FFFFFF;}
.bash.source-bash .re0 {color: #FF87FF;}
.bash.source-bash .re1 {color: #FF87FF;}
.bash.source-bash .re2 {color: #FF87FF;}
.bash.source-bash .re4 {color: #FF87FF;}
.bash.source-bash .re5 {color: #99FFCC;}
.bash.source-bash .ln-xtra, .bash.source-bash li.ln-xtra, .bash.source-bash div.ln-xtra {background-color: #000033;}
.php.source-php span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.bash.source-bash {line-height: normal;}
.bash.source-bash li, .bash.source-bash pre {line-height: normal; border: 0px none white;}
.bash.source-bash .de1, .bash.source-bash .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.bash.source-bash .imp {font-weight: bold; color: red;}
.bash.source-bash li, .bash.source-bash li.li1 {font-weight: normal;}
.bash.source-bash li.li2 {font-weight: bold;}
.bash.source-bash .kw1 {color: #000000; font-weight: bold;}
.bash.source-bash .kw2 {color: #c20cb9; font-weight: bold;}
.bash.source-bash .kw3 {color: #7a0874; font-weight: bold;}
.bash.source-bash .co0 {color: #666666; font-style: italic;}
.bash.source-bash .co1 {color: #800000;}
.bash.source-bash .co2 {color: #cc0000; font-style: italic;}
.bash.source-bash .es0 {color: #000099; font-weight: bold;}
.bash.source-bash .br0 {color: #7a0874; font-weight: bold;}
.bash.source-bash .sy0 {color: #000000; font-weight: bold;}
.bash.source-bash .st0 {color: #ff0000;}
.bash.source-bash .nu0 {color: #000000;}
.bash.source-bash .re0 {color: #007800;}
.bash.source-bash .re1 {color: #007800;}
.bash.source-bash .re2 {color: #007800;}
.bash.source-bash .re4 {color: #007800;}
.bash.source-bash .re5 {color: #660033;}
.bash.source-bash .ln-xtra, .bash.source-bash li.ln-xtra, .bash.source-bash div.ln-xtra {background-color: #ffc;}
.bash.source-bash span.xtra { display:block; } */


/* -------------------------- lang="perl" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.perl.source-perl{line-height: normal;}
.perl.source-perlli, .perl.source-perlpre {line-height: normal; border: 0px none white; background: rgb(0,0,0);}
.perl.source-perl.de1, .perl.source-perl.de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.perl.source-perl {font-family: monospace;}
.perl.source-perl.imp {font-weight: bold; color: #00FFFF;}
.perl.source-perlli, .perl.source-perlli.li1 {font-weight: normal;}
.perl.source-perlli.li2 {font-weight: bold;}
.perl.source-perl.kw1 {color: #4E4EFF;}
.perl.source-perl.kw2 {color: #FFFFFF; font-weight: bold;}
.perl.source-perl.kw3 {color: #FFFF99;}
.perl.source-perl.co1 {color: #999999; font-style: italic;}
.perl.source-perl.co2 {color: #FF6699; font-style: italic;}
.perl.source-perl.co3 {color: #FFFF00;}
.perl.source-perl.co4 {color: #33FFFF; font-style: italic;}
.perl.source-perl.co5 {color: #FFFF00;}
.perl.source-perl.coMULTI {color: #999999; font-style: italic;}
.perl.source-perl.es0 {color: #FFFF66; font-weight: bold;}
.perl.source-perl.br0 {color: #FF66FF;}
.perl.source-perl.sy0 {color: #CC66CC;}
.perl.source-perl.st0 {color: #00FFFF;}
.perl.source-perl.nu0 {color: #339933;}
.perl.source-perl.me1 {color: #FF99FF;}
.perl.source-perl.me2 {color: #FF99FF;}
.perl.source-perl.re0 {color: #FFFF00;}
.perl.source-perl.re4 {color: #FF6666;}
.perl.source-perl.ln-xtra, .perl.source-perlli.ln-xtra, .perl.source-perldiv.ln-xtra {background-color: #000033;}
.perl.source-perlspan.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.perl.source-perl{line-height: normal;}
.perl.source-perlli, .perl.source-perlpre {line-height: normal; border: 0px none white;}
.perl.source-perl.de1, .perl.source-perl.de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.perl.source-perl {font-family: monospace;}
.perl.source-perl.imp {font-weight: bold; color: red;}
.perl.source-perlli, .perl.source-perlli.li1 {font-weight: normal;}
.perl.source-perlli.li2 {font-weight: bold;}
.perl.source-perl.kw1 {color: #b1b100;}
.perl.source-perl.kw2 {color: #000000; font-weight: bold;}
.perl.source-perl.kw3 {color: #000066;}
.perl.source-perl.co1 {color: #666666; font-style: italic;}
.perl.source-perl.co2 {color: #009966; font-style: italic;}
.perl.source-perl.co3 {color: #0000ff;}
.perl.source-perl.co4 {color: #cc0000; font-style: italic;}
.perl.source-perl.co5 {color: #0000ff;}
.perl.source-perl.coMULTI {color: #666666; font-style: italic;}
.perl.source-perl.es0 {color: #000099; font-weight: bold;}
.perl.source-perl.br0 {color: #009900;}
.perl.source-perl.sy0 {color: #339933;}
.perl.source-perl.st0 {color: #ff0000;}
.perl.source-perl.nu0 {color: #cc66cc;}
.perl.source-perl.me1 {color: #006600;}
.perl.source-perl.me2 {color: #006600;}
.perl.source-perl.re0 {color: #0000ff;}
.perl.source-perl.re4 {color: #009999;}
.perl.source-perl.ln-xtra, .perl.source-perlli.ln-xtra, .perl.source-perldiv.ln-xtra {background-color: #ffc;}
.perl.source-perlspan.xtra { display:block; } */


/* -------------------------- lang="php" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.php.source-php {line-height: normal; font-family: monospace;}
.php.source-php li, .php.source-php pre {line-height: normal; border: 0px none white; background-color: #000000;}
.php.source-php .de1, .php.source-php .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.php.source-php .imp {font-weight: bold; color: #00FFFF;}
.php.source-php li, .php.source-php li.li1 {font-weight: normal;}
.php.source-php li.li2 {font-weight: bold;}
.php.source-php .kw1 {color: #4E4EFF;}
.php.source-php .kw2 {color: #FFFFFF; font-weight: bold;}
.php.source-php .kw3 {color: #66FFFF;}
.php.source-php .co1 {color: #999999; font-style: italic;}
.php.source-php .co2 {color: #999999; font-style: italic;}
.php.source-php .co3 {color: #FFFF33; font-style: italic;}
.php.source-php .coMULTI {color: #999999; font-style: italic;}
.php.source-php .es0 {color: #FFFF66; font-weight: bold;}
.php.source-php .br0 {color: #FF66FF;}
.php.source-php .sy0 {color: #CC66CC;}
.php.source-php .st0 {color: #FFFF00;}
.php.source-php .nu0 {color: #339933;}
.php.source-php .me1 {color: #FFBFFF;}
.php.source-php .me2 {color: #FFBFFF;}
.php.source-php .re0 {color: #FFFF77;}
.php.source-php .ln-xtra, .php.source-php li.ln-xtra, .php.source-php div.ln-xtra {background-color: #000033;}
.php.source-php span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.php.source-php {line-height: normal;}
.php.source-php li, .php.source-php pre {line-height: normal; border: 0px none white;}
.php.source-php .de1, .php.source-php .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.php.source-php .imp {font-weight: bold; color: red;}
.php.source-php li, .php.source-php li.li1 {font-weight: normal;}
.php.source-php li.li2 {font-weight: bold;}
.php.source-php .kw1 {color: #b1b100;}
.php.source-php .kw2 {color: #000000; font-weight: bold;}
.php.source-php .kw3 {color: #990000;}
.php.source-php .co1 {color: #666666; font-style: italic;}
.php.source-php .co2 {color: #666666; font-style: italic;}
.php.source-php .co3 {color: #0000cc; font-style: italic;}
.php.source-php .coMULTI {color: #666666; font-style: italic;}
.php.source-php .es0 {color: #000099; font-weight: bold;}
.php.source-php .br0 {color: #009900;}
.php.source-php .sy0 {color: #339933;}
.php.source-php .st0 {color: #0000ff;}
.php.source-php .nu0 {color: #cc66cc;}
.php.source-php .me1 {color: #004000;}
.php.source-php .me2 {color: #004000;}
.php.source-php .re0 {color: #000088;}
.php.source-php .ln-xtra, .php.source-php li.ln-xtra, .php.source-php div.ln-xtra {background-color: #ffc;}
.php.source-php span.xtra { display:block; } */


/* -------------------------- lang="javascript" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.javascript.source-javascript {line-height: normal; font-family: monospace;}
.javascript.source-javascript li, .javascript.source-javascript pre {line-height: normal; border: 0px none white; background-color: #000000;}
.javascript.source-javascript .de1, .javascript.source-javascript .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.javascript.source-javascript .imp {font-weight: bold; color: #00FFFF;}
.javascript.source-javascript li, .javascript.source-javascript li.li1 {font-weight: normal;}
.javascript.source-javascript li.li2 {font-weight: bold;}
.javascript.source-javascript .kw1 {color: #FFFF99; font-weight: bold;}
.javascript.source-javascript .kw2 {color: #FFCC99; font-weight: bold;}
.javascript.source-javascript .kw3 {color: #FFFF99;}
.javascript.source-javascript .co1 {color: #FF99FF; font-style: italic;}
.javascript.source-javascript .co2 {color: #FF6699; font-style: italic;}
.javascript.source-javascript .coMULTI {color: #FF99FF; font-style: italic;}
.javascript.source-javascript .es0 {color: #FFFF66; font-weight: bold;}
.javascript.source-javascript .br0 {color: #FF66FF;}
.javascript.source-javascript .sy0 {color: #CC66CC;}
.javascript.source-javascript .st0 {color: #CC9933;}
.javascript.source-javascript .nu0 {color: #33FFFF;}
.javascript.source-javascript .me1 {color: #99FF99;}
.javascript.source-javascript .ln-xtra, .javascript.source-javascript li.ln-xtra, .javascript.source-javascript div.ln-xtra {background-color: #000033;}
.javascript.source-javascript span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.javascript.source-javascript {line-height: normal;}
.javascript.source-javascript li, .javascript.source-javascript pre {line-height: normal; border: 0px none white;}
.javascript.source-javascript .de1, .javascript.source-javascript .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.javascript.source-javascript .imp {font-weight: bold; color: red;}
.javascript.source-javascript li, .javascript.source-javascript li.li1 {font-weight: normal;}
.javascript.source-javascript li.li2 {font-weight: bold;}
.javascript.source-javascript .kw1 {color: #000066; font-weight: bold;}
.javascript.source-javascript .kw2 {color: #003366; font-weight: bold;}
.javascript.source-javascript .kw3 {color: #000066;}
.javascript.source-javascript .co1 {color: #006600; font-style: italic;}
.javascript.source-javascript .co2 {color: #009966; font-style: italic;}
.javascript.source-javascript .coMULTI {color: #006600; font-style: italic;}
.javascript.source-javascript .es0 {color: #000099; font-weight: bold;}
.javascript.source-javascript .br0 {color: #009900;}
.javascript.source-javascript .sy0 {color: #339933;}
.javascript.source-javascript .st0 {color: #3366CC;}
.javascript.source-javascript .nu0 {color: #CC0000;}
.javascript.source-javascript .me1 {color: #660066;}
.javascript.source-javascript .ln-xtra, .javascript.source-javascript li.ln-xtra, .javascript.source-javascript div.ln-xtra {background-color: #ffc;}
.javascript.source-javascript span.xtra { display:block; } */


/* -------------------------- lang="css" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.css.source-css {line-height: normal; font-family: monospace;}
.css.source-css li, .css.source-css pre {line-height: normal; border: 0px none white; background-color: #000000;}
.css.source-css .de1, .css.source-css .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.css.source-css .imp {font-weight: bold; color: #00FFFF;}
.css.source-css li, .css.source-css li.li1 {font-weight: normal;}
.css.source-css li.li2 {font-weight: bold;}
.css.source-css .kw1 {color: #FFFFFF; font-weight: bold;}
.css.source-css .kw2 {color: #66CCCC;}
.css.source-css .co1 {color: #5E5EFF;}
.css.source-css .coMULTI {color: #7F7F7F; font-style: italic;}
.css.source-css .es0 {color: #FFFF66; font-weight: bold;}
.css.source-css .br0 {color: #993399;}
.css.source-css .sy0 {color: #93399;}
.css.source-css .st0 {color: #00FFFF;}
.css.source-css .nu0 {color: #66CCCC;}
.css.source-css .re0 {color: #33FF33;}
.css.source-css .re1 {color: #999900;}
.css.source-css .re2 {color: #CCCC00;}
.css.source-css .re3 {color: #66CCCC;}
.css.source-css .re4 {color: #66CCCC;}
.css.source-css .ln-xtra, .css.source-css li.ln-xtra, .css.source-css div.ln-xtra {background-color: #000033;}
.css.source-css span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.css.source-css {line-height: normal;}
.css.source-css li, .css.source-css pre {line-height: normal; border: 0px none white;}
.css.source-css .de1, .css.source-css .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.css.source-css .imp {font-weight: bold; color: red;}
.css.source-css li, .css.source-css li.li1 {font-weight: normal;}
.css.source-css li.li2 {font-weight: bold;}
.css.source-css .kw1 {color: #000000; font-weight: bold;}
.css.source-css .kw2 {color: #993333;}
.css.source-css .co1 {color: #a1a100;}
.css.source-css .coMULTI {color: #808080; font-style: italic;}
.css.source-css .es0 {color: #000099; font-weight: bold;}
.css.source-css .br0 {color: #66cc66;}
.css.source-css .sy0 {color: #66cc66;}
.css.source-css .st0 {color: #ff0000;}
.css.source-css .nu0 {color: #933;}
.css.source-css .re0 {color: #cc00cc;}
.css.source-css .re1 {color: #6666ff;}
.css.source-css .re2 {color: #3333ff;}
.css.source-css .re3 {color: #933;}
.css.source-css .re4 {color: #933;}
.css.source-css .ln-xtra, .css.source-css li.ln-xtra, .css.source-css div.ln-xtra {background-color: #ffc;}
.css.source-css span.xtra { display:block; } */


/* -------------------------- lang="xml" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.xml.source-xml {line-height: normal;}
.xml.source-xml li, .xml.source-xml pre {line-height: normal; border: 0px none white; background: rgb(0,0,0);}
.xml.source-xml .de1, .xml.source-xml .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.xml.source-xml  {font-family: monospace;}
.xml.source-xml .imp {font-weight: bold; color: #0000FF;}
.xml.source-xml li, .xml.source-xml li.li1 {font-weight: normal;}
.xml.source-xml li.li2 {font-weight: bold;}
.xml.source-xml .co1 {color: #7F7F7F; font-style: italic;}
.xml.source-xml .co2 {color: #BFBFBF; font-style: italic;}
.xml.source-xml .co3 {color: #FFFFFF;}
.xml.source-xml .co4 {color: #BFFFFF; font-weight: bold;}
.xml.source-xml .es0 {color: #FFFF66; font-weight: bold;}
.xml.source-xml .br0 {color: #993399;}
.xml.source-xml .sy0 {color: #993399;}
.xml.source-xml .st0 {color: #00FFFF;}
.xml.source-xml .nu0 {color: #339933;}
.xml.source-xml .re0 {color: #FFFF99;}
.xml.source-xml .re1 {color: #FFFFFF; font-weight: bold;}
.xml.source-xml .re2 {color: #FFFFFF; font-weight: bold;}
.xml.source-xml .ln-xtra, .xml.source-xml li.ln-xtra, .xml.source-xml div.ln-xtra {background-color: #000033;}
.xml.source-xml span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.xml.source-xml {line-height: normal;}
.xml.source-xml li, .xml.source-xml pre {line-height: normal; border: 0px none white;}
.xml.source-xml .de1, .xml.source-xml .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.xml.source-xml  {font-family: monospace;}
.xml.source-xml .imp {font-weight: bold; color: red;}
.xml.source-xml li, .xml.source-xml li.li1 {font-weight: normal;}
.xml.source-xml li.li2 {font-weight: bold;}
.xml.source-xml .co1 {color: #808080; font-style: italic;}
.xml.source-xml .co2 {color: #404040; font-style: italic;}
.xml.source-xml .co3 {color: #000000;}
.xml.source-xml .co4 {color: #400000; font-weight: bold;}
.xml.source-xml .es0 {color: #000099; font-weight: bold;}
.xml.source-xml .br0 {color: #66cc66;}
.xml.source-xml .sy0 {color: #66cc66;}
.xml.source-xml .st0 {color: #ff0000;}
.xml.source-xml .nu0 {color: #cc66cc;}
.xml.source-xml .re0 {color: #000066;}
.xml.source-xml .re1 {color: #000000; font-weight: bold;}
.xml.source-xml .re2 {color: #000000; font-weight: bold;}
.xml.source-xml .ln-xtra, .xml.source-xml li.ln-xtra, .xml.source-xml div.ln-xtra {background-color: #ffc;}
.xml.source-xml span.xtra { display:block; } */


/* -------------------------- lang="dos" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.dos.source-dos {line-height: normal; font-family: monospace;}
.dos.source-dos li, .dos.source-dos pre {line-height: normal; border: 0px none white; background-color: #000000;}
.dos.source-dos .de1, .dos.source-dos .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.dos.source-dos .imp {font-weight: bold; color: #00FFFF;}
.dos.source-dos li, .dos.source-dos li.li1 {font-weight: normal;}
.dos.source-dos li.li2 {font-weight: bold;}
.dos.source-dos .kw1 {color: #FF4EFF; font-weight: bold;}
.dos.source-dos .kw2 {color: #FFFFFF; font-weight: bold;}
.dos.source-dos .kw3 {color: #4E4EFF; font-weight: bold;}
.dos.source-dos .kw4 {color: #FFFF00; font-weight: bold;}
.dos.source-dos .co1 {color: #7F7F7F; font-style: italic;}
.dos.source-dos .co2 {color: #7F7F7F; font-style: italic;}
.dos.source-dos .es0 {color: #00FFFF; font-weight: bold;}
.dos.source-dos .br0 {color: #993399;}
.dos.source-dos .sy0 {color: #CC33CC;}
.dos.source-dos .sy1 {color: #CC33CC;}
.dos.source-dos .st0 {color: #00FFFF;}
.dos.source-dos .nu0 {color: #339933;}
.dos.source-dos .re0 {color: #4EFF4E; font-weight: bold;}
.dos.source-dos .re1 {color: #BB77BB;}
.dos.source-dos .re2 {color: #BB7777;}
.dos.source-dos .ln-xtra, .dos.source-dos li.ln-xtra, .dos.source-dos div.ln-xtra {background-color: #000033;}
.dos.source-dos span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.dos.source-dos {line-height: normal;}
.dos.source-dos li, .dos.source-dos pre {line-height: normal; border: 0px none white;}
.dos.source-dos .de1, .dos.source-dos .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.dos.source-dos .imp {font-weight: bold; color: red;}
.dos.source-dos li, .dos.source-dos li.li1 {font-weight: normal;}
.dos.source-dos li.li2 {font-weight: bold;}
.dos.source-dos .kw1 {color: #00b100; font-weight: bold;}
.dos.source-dos .kw2 {color: #000000; font-weight: bold;}
.dos.source-dos .kw3 {color: #b1b100; font-weight: bold;}
.dos.source-dos .kw4 {color: #0000ff; font-weight: bold;}
.dos.source-dos .co1 {color: #808080; font-style: italic;}
.dos.source-dos .co2 {color: #808080; font-style: italic;}
.dos.source-dos .es0 {color: #ff0000; font-weight: bold;}
.dos.source-dos .br0 {color: #66cc66;}
.dos.source-dos .sy0 {color: #33cc33;}
.dos.source-dos .sy1 {color: #33cc33;}
.dos.source-dos .st0 {color: #ff0000;}
.dos.source-dos .nu0 {color: #cc66cc;}
.dos.source-dos .re0 {color: #b100b1; font-weight: bold;}
.dos.source-dos .re1 {color: #448844;}
.dos.source-dos .re2 {color: #448888;}
.dos.source-dos .ln-xtra, .dos.source-dos li.ln-xtra, .dos.source-dos div.ln-xtra {background-color: #ffc;}
.dos.source-dos span.xtra { display:block; } */


/* -------------------------- lang="ini" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.ini.source-ini {line-height: normal; font-family: monospace;}
.ini.source-ini li, .ini.source-ini pre {line-height: normal; border: 0px none white; background-color: #000000;}
.ini.source-ini .de1, .ini.source-ini .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.ini.source-ini .imp {font-weight: bold; color: #00FFFF;}
.ini.source-ini li, .ini.source-ini li.li1 {font-weight: normal;}
.ini.source-ini li.li2 {font-weight: bold;}
.ini.source-ini .co0 {color: #999999; font-style: italic;}
.ini.source-ini .sy0 {color: #FFFF99; font-weight:bold;}
.ini.source-ini .st0 {color: #66CCCC;}
.ini.source-ini .re0 {color: #FFFF99; font-weight:bold;}
.ini.source-ini .re1 {color: #FFFF66;}
.ini.source-ini .re2 {color: #99FF99;}
.ini.source-ini .ln-xtra, .ini.source-ini li.ln-xtra, .ini.source-ini div.ln-xtra {background-color: #000033;}
.ini.source-ini span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.ini.source-ini {line-height: normal;}
.ini.source-ini li, .ini.source-ini pre {line-height: normal; border: 0px none white;}
.ini.source-ini .de1, .ini.source-ini .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.ini.source-ini .imp {font-weight: bold; color: red;}
.ini.source-ini li, .ini.source-ini li.li1 {font-weight: normal;}
.ini.source-ini li.li2 {font-weight: bold;}
.ini.source-ini .co0 {color: #666666; font-style: italic;}
.ini.source-ini .sy0 {color: #000066; font-weight:bold;}
.ini.source-ini .st0 {color: #933;}
.ini.source-ini .re0 {color: #000066; font-weight:bold;}
.ini.source-ini .re1 {color: #000099;}
.ini.source-ini .re2 {color: #660066;}
.ini.source-ini .ln-xtra, .ini.source-ini li.ln-xtra, .ini.source-ini div.ln-xtra {background-color: #ffc;}
.ini.source-ini span.xtra { display:block; } */


/* -------------------------- lang="text" --------------------------- */

/* CSS based on the original one (below), main changes COLORS INVERTED */

.text.source-text {line-height: normal; font-family: monospace;}
.text.source-text li, .text.source-text pre {line-height: normal; border: 0px none white; background-color: #000000;}
.text.source-text .de1, .text.source-text .de2 {font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.text.source-text .imp {font-weight: bold; color: #00FFFF;}
.text.source-text li, .text.source-text li.li1 {font-weight: normal;}
.text.source-text li.li2 {font-weight: bold;}
.text.source-text .ln-xtra, .text.source-text li.ln-xtra, .text.source-text div.ln-xtra {background-color: #000033;}
.text.source-text span.xtra { display:block; }

/* GeSHi (c) Nigel McNie 2004 (http://qbnz.com/highlighter)

.text.source-text {line-height: normal;}
.text.source-text li, .text.source-text pre {line-height: normal; border: 0px none white;}
.text.source-text .de1, .text.source-text .de2 {font-family: monospace; font-weight: normal; font-style: normal; margin:0; padding:0; background:inherit;}
.text.source-text .imp {font-weight: bold; color: red;}
.text.source-text li, .text.source-text li.li1 {font-weight: normal;}
.text.source-text li.li2 {font-weight: bold;}
.text.source-text .ln-xtra, .text.source-text li.ln-xtra, .text.source-text div.ln-xtra {background-color: #ffc;}
.text.source-text span.xtra { display:block; } */

/* 
</pre> */